Get one of patients
curl --request GET \
--url https://{clinic}.{region}.practicehub.io/v3/api/patients/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{clinic}.{region}.practicehub.io/v3/api/patients/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{clinic}.{region}.practicehub.io/v3/api/patients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{clinic}.{region}.practicehub.io/v3/api/patients/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{clinic}.{region}.practicehub.io/v3/api/patients/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{clinic}.{region}.practicehub.io/v3/api/patients/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{clinic}.{region}.practicehub.io/v3/api/patients/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 340,
"imported_id": "P-1042",
"custom_reference": "CRM-7781",
"first_name": "Ada",
"last_name": "Lovelace",
"preferred_name": "Ada",
"dob": "1985-12-10",
"email": "ada@example.org",
"sex": "female",
"balance": "45.00",
"private_balance": "45.00",
"third_party_balance": "0.00",
"updated_at": "2026-08-19T14:22:05Z",
"created_at": "2026-01-15T10:30:00Z",
"communication_status": 1,
"patient_status": "active",
"locale": "en",
"referral_source_id": 12,
"referral_source_type": "referral_source",
"note": "Prefers morning appointments.",
"default_location_id": 81,
"app_signup": "2026-02-01T08:15:00Z",
"app_last_accessed": "2026-08-15T18:42:10Z",
"blocked": false,
"communication_preferences": {
"transactional": {
"push_notification": true
},
"marketing": {
"push_notification": false
}
},
"numbers": [
{
"id": 5012,
"number": "07700 900123",
"country_code": "44",
"iso2": "gb",
"type": "mobile",
"intl_number": "+447700900123"
}
],
"address": {
"line_1": "12 Analytical Way",
"line_2": "Flat 2",
"city": "London",
"state": "Greater London",
"postal_code": "N1 9GU",
"country": "GB"
},
"tags": [
{
"id": 18,
"name": "VIP",
"color": "#4F86C6",
"patient_tag_id": 9021,
"editable": true,
"added_at": "2026-08-19T14:22:05Z"
}
]
}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}Patients
Get one of patients
GET
https://{clinic}.{region}.practicehub.io/v3/api
/
patients
/
{id}
Get one of patients
curl --request GET \
--url https://{clinic}.{region}.practicehub.io/v3/api/patients/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{clinic}.{region}.practicehub.io/v3/api/patients/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{clinic}.{region}.practicehub.io/v3/api/patients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{clinic}.{region}.practicehub.io/v3/api/patients/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{clinic}.{region}.practicehub.io/v3/api/patients/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{clinic}.{region}.practicehub.io/v3/api/patients/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{clinic}.{region}.practicehub.io/v3/api/patients/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 340,
"imported_id": "P-1042",
"custom_reference": "CRM-7781",
"first_name": "Ada",
"last_name": "Lovelace",
"preferred_name": "Ada",
"dob": "1985-12-10",
"email": "ada@example.org",
"sex": "female",
"balance": "45.00",
"private_balance": "45.00",
"third_party_balance": "0.00",
"updated_at": "2026-08-19T14:22:05Z",
"created_at": "2026-01-15T10:30:00Z",
"communication_status": 1,
"patient_status": "active",
"locale": "en",
"referral_source_id": 12,
"referral_source_type": "referral_source",
"note": "Prefers morning appointments.",
"default_location_id": 81,
"app_signup": "2026-02-01T08:15:00Z",
"app_last_accessed": "2026-08-15T18:42:10Z",
"blocked": false,
"communication_preferences": {
"transactional": {
"push_notification": true
},
"marketing": {
"push_notification": false
}
},
"numbers": [
{
"id": 5012,
"number": "07700 900123",
"country_code": "44",
"iso2": "gb",
"type": "mobile",
"intl_number": "+447700900123"
}
],
"address": {
"line_1": "12 Analytical Way",
"line_2": "Flat 2",
"city": "London",
"state": "Greater London",
"postal_code": "N1 9GU",
"country": "GB"
},
"tags": [
{
"id": 18,
"name": "VIP",
"color": "#4F86C6",
"patient_tag_id": 9021,
"editable": true,
"added_at": "2026-08-19T14:22:05Z"
}
]
}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}Authorizations
API key from Developers → API Keys, sent as Authorization: Bearer .
Path Parameters
Response
The resource
Show child attributes
Show child attributes
Example:
{ "id": 340, "imported_id": "P-1042", "custom_reference": "CRM-7781", "first_name": "Ada", "last_name": "Lovelace", "preferred_name": "Ada", "dob": "1985-12-10", "email": "ada@example.org", "sex": "female", "balance": "45.00", "private_balance": "45.00", "third_party_balance": "0.00", "updated_at": "2026-08-19T14:22:05Z", "created_at": "2026-01-15T10:30:00Z", "communication_status": 1, "patient_status": "active", "locale": "en", "referral_source_id": 12, "referral_source_type": "referral_source", "note": "Prefers morning appointments.", "default_location_id": 81, "app_signup": "2026-02-01T08:15:00Z", "app_last_accessed": "2026-08-15T18:42:10Z", "blocked": false, "communication_preferences": { "transactional": { "push_notification": true }, "marketing": { "push_notification": false } }, "numbers": [ { "id": 5012, "number": "07700 900123", "country_code": "44", "iso2": "gb", "type": "mobile", "intl_number": "+447700900123" } ], "address": { "line_1": "12 Analytical Way", "line_2": "Flat 2", "city": "London", "state": "Greater London", "postal_code": "N1 9GU", "country": "GB" }, "tags": [ { "id": 18, "name": "VIP", "color": "#4F86C6", "patient_tag_id": 9021, "editable": true, "added_at": "2026-08-19T14:22:05Z" } ] }
Was this page helpful?